Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.events
Class PaintEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.PaintEvent

public final class PaintEvent
extends TypedEvent

Instances of this class are sent as a result of visible areas of controls requiring re-painting.

Since:
  1.3
See Also:
  `PaintListener`, Serialized Form

Field Summary
`int` `count` the number of following paint events which are pending which may always be zero on some platforms
`GC` `gc` the graphics context to use when painting that is configured to use the colors, font and damaged region of the control.
`int` `height` the height of the bounding rectangle of the region that requires painting
`int` `width` the width of the bounding rectangle of the region that requires painting
`int` `x` the x offset of the bounding rectangle of the region that requires painting
`int` `y` the y offset of the bounding rectangle of the region that requires painting

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`PaintEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.
`PaintEvent(Widget widget, GC gc, Rectangle bounds)` Constructs a new instance of this class.

Method Summary
`static void` `addListener(Adaptable adaptable, PaintListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(java.lang.Object listener)`
`static java.lang.Object[]` `getListeners(Adaptable adaptable)`
`protected java.lang.Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, PaintListener listener)`
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### gc

    public GC gc

  the graphics context to use when painting that is configured to use the colors, font and damaged region of the control. It is valid only during the paint and must not be disposed

### x

    public int x

  the x offset of the bounding rectangle of the region that requires painting

### y

    public int y

  the y offset of the bounding rectangle of the region that requires painting

### width

    public int width

  the width of the bounding rectangle of the region that requires painting

### height

    public int height

  the height of the bounding rectangle of the region that requires painting

### count

    public int count

  the number of following paint events which are pending which may always be zero on some platforms

Constructor Detail

### PaintEvent

    public PaintEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information

### PaintEvent

    public PaintEvent(Widget widget,
                      GC gc,
                      Rectangle bounds)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(java.lang.Object listener)

  Overrides:
    `dispatchToObserver` in class `TypedEvent`

### getListenerType

    protected java.lang.Class getListenerType()

  Overrides:
    `getListenerType` in class `TypedEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `TypedEvent`

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### addListener

    public static void addListener(Adaptable adaptable,
                                   PaintListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      PaintListener listener)

### getListeners

    public static java.lang.Object[] getListeners(Adaptable adaptable)

### toString

    public java.lang.String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.